For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Templates
      • GETRetrieve Template Categories
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Template

Retrieve Project Templates

GET
https://api.projectmanager.com/api/data/projects/templates
GET
/api/data/projects/templates
$curl https://api.projectmanager.com/api/data/projects/templates \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": [
14 {
15 "id": "string",
16 "name": "string",
17 "title": "string",
18 "description": "string",
19 "icon": "string",
20 "previewImage": "string",
21 "order": 1,
22 "isCustom": true,
23 "defaultView": "string",
24 "ownerId": "string",
25 "createDate": "2024-01-15T09:30:00Z"
26 }
27 ]
28}

Retrieves all ProjectTemplates defined in the system.

A ProjectTemplate is a definition of default project related data (eg. Tasks) that can be applied to a new project when it is created. ProjectTemplates are categorized using the TemplateCategory system.

Was this page helpful?
Previous

Retrieve Template Categories

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
datalist of objects
If the API call succeeded, this will contain the results.